import type ts from 'typescript';
import type { ComponentMeta } from '../meta/component';
import type { AnalyzePlugin, ElementDefintionNode } from './AnalyzePlugin';
export declare function runPluginsInit(program: ts.Program, plugins: AnalyzePlugin[]): Promise<void>;
export declare function runPlugins(program: ts.Program, plugins: AnalyzePlugin[], paths: string[], watching?: boolean): Promise<{
    sourceFiles: ts.SourceFile[];
} | undefined>;
export declare function runPluginsDiscover(plugins: AnalyzePlugin[], sourceFile: ts.SourceFile): Promise<ElementDefintionNode[] | null>;
export declare function runPluginsBuild(plugins: AnalyzePlugin[], definition: ElementDefintionNode): Promise<ComponentMeta | null>;
export declare function runPluginsTransform(plugins: AnalyzePlugin[], components: ComponentMeta[], sourceFiles: Map<ComponentMeta, ts.SourceFile>): Promise<void>;
export declare function runPluginsDestroy(plugins: AnalyzePlugin[]): Promise<void>;
