import { type FilterPattern } from '@rollup/pluginutils';
import { type TransformFeatures, type TransformOptions } from '../transformer';
import type { LogLevelName } from '../utils/logger';
export interface ResolvedOptions extends TransformFeatures {
    logLevel: LogLevelName;
    include: FilterPattern;
    exclude: FilterPattern;
    /** Filter files that should be logged verbosely. */
    debug: FilterPattern | undefined;
    hydratable: boolean | ((id: string) => boolean | null) | null;
    pretty: boolean | null;
    generate: TransformOptions['generate'] | null;
}
export type Options = Partial<ResolvedOptions>;
export declare const unplugin: import("unplugin").UnpluginInstance<Partial<ResolvedOptions>, boolean>;
export declare const vite: (options: Partial<ResolvedOptions>) => import("vite").Plugin | import("vite").Plugin[];
export declare const rollup: (options: Partial<ResolvedOptions>) => import("rollup").Plugin | import("rollup").Plugin[];
export declare const esbuild: (options: Partial<ResolvedOptions>) => import("unplugin").EsbuildPlugin;
