import type MagicString from 'magic-string';
import ts from 'typescript';
import type { AST } from '../ast';
export type ParseJSXOptions = {
    filename: string;
};
export declare function parseJSX(code: MagicString, options?: Partial<ParseJSXOptions>): {
    startPos: number;
    ast: AST[];
};
export declare function isJSXElementNode(node: ts.Node): node is JSXElementNode;
export type JSXElementNode = ts.JsxElement | ts.JsxSelfClosingElement;
export type JSXRootNode = JSXElementNode | ts.JsxFragment | ts.BinaryExpression | ts.ConditionalExpression;
export type JSXNodeMeta = {
    parent?: JSXNodeMeta;
    component?: boolean;
    dynamic?: () => void;
    spread?: () => void;
};
export type JSXAttrNamespace = '$class' | '$cssvar' | '$prop' | '$style';
export type JSXEventNamespace = '$on' | '$oncapture';
export type JSXDirectiveNamespace = '$use';
export type JSXNamespace = JSXAttrNamespace | JSXEventNamespace | JSXDirectiveNamespace;
export type JSXChildContentAttrName = '$innerHTML' | '$textContent' | '$innerText';
