import { type SourceMapOptions } from 'magic-string';
import { type LogLevelName } from '../utils/logger';
import { Declarations } from '../utils/print';
import type { AST } from './ast';
export interface TransformOptions extends TransformFeatures {
    logLevel: LogLevelName;
    filename: string;
    hydratable: boolean;
    pretty: boolean;
    sourcemap: boolean | SourceMapOptions;
    generate: 'dom' | 'ssr' | false;
}
export interface TransformContext extends TransformFeatures {
    scoped: boolean;
    fragment?: boolean;
    globals: Declarations;
    runtime: Set<string>;
    events: Set<string>;
    hydratable: boolean;
}
export interface TransformFeatures {
    diffArrays: boolean;
    delegateEvents: boolean;
    groupDOMEffects: boolean;
}
export interface ASTSerializer {
    name: string;
    serialize(ast: AST, context: TransformContext): string;
}
export declare function transform(source: string, options?: Partial<TransformOptions>): {
    code: string;
    map: import("magic-string").SourceMap | null;
};
