export declare function format(filename: string, contents: string): string;
export declare function createImportDeclaration(defaultSpecifier: string | null, namedSpecifiers: string[], moduleId: string): string;
export declare function escapeDoubleQuotes(value: string): string;
export declare function escapeBackticks(value: string): string;
export declare function replaceRange(str: string, start: number, end: number, substitute: string): string;
export declare const escapeQuotes: (str: string) => string;
export declare const normalizeLineBreaks: (str: string) => string;
export declare function splitLineBreaks(str: string): string[];
export declare function createFunctionCall(id: string, params?: (string | number | null)[]): string;
export declare function selfInvokingFunction(block: string): string;
export declare function createStringArray(values: string[]): string;
export declare function createStringLiteral(value: string): string;
export declare function newLineStart(str: string): string;
export declare function newLineEnd(str: string): string;
export declare function newLinesAround(str: string): string;
export declare function trimQuotes(text: string): string;
export declare function trimBraces(text: string): string;
export declare function trimTrailingSemicolon(text: string): string;
export declare function trimWhitespace(text: string): string;
export declare class Declarations {
    all: Map<string, string>;
    protected _count: Record<string, number>;
    get size(): number;
    create(id: string, value?: string): string;
    update(id: string, value: string): void;
    has(id: string): boolean;
    delete(id: string): void;
    serialize(pure?: boolean): string;
}
export declare function createObjectLiteral(props: Record<string, string>): string;
